/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/wip/tf-lookup/work/tf_lookup-0.0.1/srv/lookupTransform.srv
 *
 */


#ifndef TF_LOOKUP_MESSAGE_LOOKUPTRANSFORMREQUEST_H
#define TF_LOOKUP_MESSAGE_LOOKUPTRANSFORMREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace tf_lookup
{
template <class ContainerAllocator>
struct lookupTransformRequest_
{
  typedef lookupTransformRequest_<ContainerAllocator> Type;

  lookupTransformRequest_()
    : target_frame()
    , source_frame()
    , transform_time()  {
    }
  lookupTransformRequest_(const ContainerAllocator& _alloc)
    : target_frame(_alloc)
    , source_frame(_alloc)
    , transform_time()  {
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _target_frame_type;
  _target_frame_type target_frame;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _source_frame_type;
  _source_frame_type source_frame;

   typedef ros::Time _transform_time_type;
  _transform_time_type transform_time;




  typedef boost::shared_ptr< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> const> ConstPtr;

}; // struct lookupTransformRequest_

typedef ::tf_lookup::lookupTransformRequest_<std::allocator<void> > lookupTransformRequest;

typedef boost::shared_ptr< ::tf_lookup::lookupTransformRequest > lookupTransformRequestPtr;
typedef boost::shared_ptr< ::tf_lookup::lookupTransformRequest const> lookupTransformRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::tf_lookup::lookupTransformRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace tf_lookup

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'std_msgs': ['/opt/openrobots/share/std_msgs/cmake/../msg'], 'actionlib_msgs': ['/opt/openrobots/share/actionlib_msgs/cmake/../msg'], 'geometry_msgs': ['/opt/openrobots/share/geometry_msgs/cmake/../msg'], 'tf_lookup': ['/local/robotpkg/var/tmp/robotpkg/wip/tf-lookup/work/stage/share/tf_lookup/msg', '/local/robotpkg/var/tmp/robotpkg/wip/tf-lookup/work/tf_lookup-0.0.1/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "bb9d983758e61f286b43546ac9c0b080";
  }

  static const char* value(const ::tf_lookup::lookupTransformRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xbb9d983758e61f28ULL;
  static const uint64_t static_value2 = 0x6b43546ac9c0b080ULL;
};

template<class ContainerAllocator>
struct DataType< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "tf_lookup/lookupTransformRequest";
  }

  static const char* value(const ::tf_lookup::lookupTransformRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string target_frame\n\
string source_frame\n\
time transform_time\n\
";
  }

  static const char* value(const ::tf_lookup::lookupTransformRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.target_frame);
      stream.next(m.source_frame);
      stream.next(m.transform_time);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct lookupTransformRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::tf_lookup::lookupTransformRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::tf_lookup::lookupTransformRequest_<ContainerAllocator>& v)
  {
    s << indent << "target_frame: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.target_frame);
    s << indent << "source_frame: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.source_frame);
    s << indent << "transform_time: ";
    Printer<ros::Time>::stream(s, indent + "  ", v.transform_time);
  }
};

} // namespace message_operations
} // namespace ros

#endif // TF_LOOKUP_MESSAGE_LOOKUPTRANSFORMREQUEST_H
